%define name ktexmaker2
%define version 1.7
%define release 2mdk

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	KDE2 LaTeX source editor and TeX shell
Url: 		http://xm1.net.free.fr/linux/index.html
Source: 	%{name}-%{version}.tar.bz2
Group: 		Publishing
BuildRoot: 	%_tmppath/%name-buildroot
License: 	GPL
Epoch: 1

%description
KDE2 LaTeX source editor and TeX shell

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
# laurent 2002-01-04 enable-final doesn't work
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir \
	--disable-rpath 

make

%install

make DESTDIR=$RPM_BUILD_ROOT install

# menu
(mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/%name <<EOF
?package(%name):\
needs="x11"\
section="Applications/Publishing"\
title="KTeXmaker2"\
longtitle="LaTeX source editor and TeX shell"\
command="%{_bindir}/%{name}"\
icon="%name.png"
EOF
)

%find_lang %{name}

cd $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS INSTALL README COPYING ChangeLog TODO 
%_bindir/*
%_datadir/applnk/Applications/*
%dir %_datadir/apps/ktexmaker2/
%_datadir/apps/ktexmaker2/*
%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/icons/locolor/16x16/apps/*
%_datadir/icons/locolor/32x32/apps/*
%_datadir/icons/locolor/48x48/apps/*
%_menudir/*

%dir %_docdir/HTML/en/ktexmaker2/
%doc %_docdir/HTML/en/ktexmaker2/*.html

%changelog
* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.7-2mdk
- Make rpmlint happy
- Fix spec file

* Thu Dec 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-1mdk
- 1.7

* Tue Dec 11 2001 Laurent Montel <lmontel@mandrakesoft.com> 1.7beta-1mdk
- 1.7beta

* Thu Oct 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6-1mdk
- 1.6

* Thu Sep 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- added by Blaise Tramier <meles@linux-mandrake.com> :
- Minor spec files changes to meet Mandrake standard
- Based on Pascal Brachet's spec file


